Crazy Eddies GUI System: CEGUI::FalagardItemEntry Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes
CEGUI::FalagardItemEntry Class Reference

ItemEntry class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardItemEntry:
[legend]
Collaboration diagram for CEGUI::FalagardItemEntry:
[legend]

List of all members.

## Public Member Functions
| FalagardItemEntry (const String &type)
| Constructor.
void | render ()
| Populate render cache.
Size | getItemPixelSize () const
| Return the "optimal" size for the item.
## Static Public Attributes
static const utf8 | TypeName []
| type name for this widget.

## Detailed Description

ItemEntry class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States:

- Enabled - basic rendering for enabled state.
- Disabled - basic rendering for disabled state.

Optional states:

- SelectedEnabled - basic rendering for enabled and selected state.
- SelectedDisabled - basic rendering for disabled and selected state.

You only need to provide the 'Selected' states if the item will be selectable. If if the item is selected (which implies that it is selectable) only the SelectedEnabled state will be rendered.

Named areas:

- ContentSize

## Member Function Documentation

Size CEGUI::FalagardItemEntry::getItemPixelSize | ( |  | ) | const`[virtual]`

Return the "optimal" size for the item.

Returns:
  Size describing the size in pixel that this ItemEntry's content requires for non-clipped rendering

Implements CEGUI::ItemEntryWindowRenderer.

void CEGUI::FalagardItemEntry::render | ( |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Implements CEGUI::WindowRenderer.